| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFController_V3 Class Referenceabstract

`#include <AAX_IACFController.h>`

Inheritance diagram for AAX_IACFController_V3:
[legend]
Collaboration diagram for AAX_IACFController_V3:
[legend]

## Description

Interface for the AAX host's view of a single instance of an effect. Used by both clients of the AAXHost and by effect components.

## Public Member Functions
virtual AAX_Result | GetPlugInTargetPlatform (AAX_CTargetPlatform *outTargetPlatform) const =0
| CALL: Returns execution platform type, native or TI.
virtual AAX_Result | GetIsAudioSuite (AAX_CBoolean *outIsAudioSuite) const =0
| CALL: Returns true for AudioSuite instances.
Public Member Functions inherited from AAX_IACFController_V2
virtual AAX_Result | SendNotification (AAX_CTypeID inNotificationType, const void *inNotificationData, uint32_t inNotificationDataSize)=0
| CALL: Dispatch a notification.
virtual AAX_Result | GetHybridSignalLatency (int32_t *outSamples) const =0
| CALL: Returns the latency between the algorithm normal input samples and the inputs returning from the hyrbid component.
virtual AAX_Result | GetCurrentAutomationTimestamp (AAX_CTransportCounter *outTimestamp) const =0
| CALL: Returns the current automation timestamp if called during the GenerateCoefficients() call AND the generation of coefficients is being triggered by an automation point instead of immediate changes.
virtual AAX_Result | GetHostName (AAX_IString *outHostNameString) const =0
| CALL: Returns name of the host application this plug-in instance is being loaded by. This string also typically includes version information.
Public Member Functions inherited from AAX_IACFController
virtual AAX_Result | GetEffectID (AAX_IString *outEffectID) const =0
virtual AAX_Result | GetSampleRate (AAX_CSampleRate *outSampleRate) const =0
| CALL: Returns the current literal sample rate.
virtual AAX_Result | GetInputStemFormat (AAX_EStemFormat *outStemFormat) const =0
| CALL: Returns the plug-in's input stem format.
virtual AAX_Result | GetOutputStemFormat (AAX_EStemFormat *outStemFormat) const =0
| CALL: Returns the plug-in's output stem format.
virtual AAX_Result | GetSignalLatency (int32_t *outSamples) const =0
| CALL: Returns the most recent signal (algorithmic) latency that has been published by the plug-in.
virtual AAX_Result | GetCycleCount (AAX_EProperty inWhichCycleCount, AAX_CPropertyValue *outNumCycles) const =0
| CALL: returns the plug-in's current real-time DSP cycle count.
virtual AAX_Result | GetTODLocation (AAX_CTimeOfDay *outTODLocation) const =0
| CALL: Returns the current Time Of Day (TOD) of the system.
virtual AAX_Result | SetSignalLatency (int32_t inNumSamples)=0
| CALL: Submits a request to change the delay compensation value that the host uses to account for the plug-in's signal (algorithmic) latency.
virtual AAX_Result | SetCycleCount (AAX_EProperty *inWhichCycleCounts, AAX_CPropertyValue *iValues, int32_t numValues)=0
| CALL: Indicates a change in the plug-in's real-time DSP cycle count.
virtual AAX_Result | PostPacket (AAX_CFieldIndex inFieldIndex, const void *inPayloadP, uint32_t inPayloadSize)=0
| CALL: Posts a data packet to the host for routing between plug-in components.
virtual AAX_Result | GetCurrentMeterValue (AAX_CTypeID inMeterID, float *outMeterValue) const =0
| CALL: Retrieves the current value of a host-managed plug-in meter.
virtual AAX_Result | GetMeterPeakValue (AAX_CTypeID inMeterID, float *outMeterPeakValue) const =0
| CALL: Retrieves the currently held peak value of a host-managed plug-in meter.
virtual AAX_Result | ClearMeterPeakValue (AAX_CTypeID inMeterID) const =0
| CALL: Clears the peak value from a host-managed plug-in meter.
virtual AAX_Result | GetMeterClipped (AAX_CTypeID inMeterID, AAX_CBoolean *outClipped) const =0
| CALL: Retrieves the clipped flag from a host-managed plug-in meter.
virtual AAX_Result | ClearMeterClipped (AAX_CTypeID inMeterID) const =0
| CALL: Clears the clipped flag from a host-managed plug-in meter.
virtual AAX_Result | GetMeterCount (uint32_t *outMeterCount) const =0
| CALL: Retrieves the number of host-managed meters registered by a plug-in.
virtual AAX_Result | GetNextMIDIPacket (AAX_CFieldIndex *outPort, AAX_CMidiPacket *outPacket)=0
| CALL: Retrieves MIDI packets for described MIDI nodes.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ GetPlugInTargetPlatform()

virtual AAX_Result AAX_IACFController_V3::GetPlugInTargetPlatform | ( | AAX_CTargetPlatform * | outTargetPlatform | ) | const
| pure virtual

CALL: Returns execution platform type, native or TI.

Parameters

  [out] | outTargetPlatform | The type of the current execution platform as one of AAX_ETargetPlatform.

## ◆ GetIsAudioSuite()

virtual AAX_Result AAX_IACFController_V3::GetIsAudioSuite | ( | AAX_CBoolean * | outIsAudioSuite | ) | const
| pure virtual

CALL: Returns true for AudioSuite instances.

Parameters

  [out] | outIsAudioSuite | The boolean flag which indicate true for AudioSuite instances.

The documentation for this class was generated from the following file:

- AAX_IACFController.h